#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		desktop_vendor	Safe
#-----------------------------------------------------------------------------
Name		:	bzflag
Version		:	2.4.26
Release		:	17.2.0.rel%{?dist}
Summary		:	3D multi-player tank battle game
Group		:	Applications/File

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPL
URL		:	https://www.bzflag.org

Source0		:	%{name}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	SDL2
BuildRequires	:	c-ares-devel
BuildRequires	:	desktop-file-utils
BuildRequires	:	glew

Requires	:	SDL2
Requires	:	glu
Requires	:	glew
#-----------------------------------------------------------------------------
%description
BZFlag is a 3D multi-player tank battle game  that  allows users to play
against each other in a networked environment.  There are five teams: red,
green, blue, purple and rogue (rogue tanks are black).  Destroying a player
on another team  scores a win, while being destroyed or destroying a teammate
scores a loss.  Rogues have no teammates (not even other rogues), so they
cannot shoot teammates and they do not have a team score.
There are two main styles of play: capture-the-flag and free-for-all.

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README README.Linux ChangeLog
%{_bindir}/%{name}
%{_bindir}/bzadmin
%{_bindir}/bzfs
%{_libdir}/*.so*
%{_datadir}/%{name}/*.png
%{_datadir}/%{name}/*.wav
%{_datadir}/%{name}/%{name}-32x32.xpm
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}/fonts/DejaVu.License
%{_datadir}/%{name}/fonts/readme
%{_datadir}/%{name}/fonts/*.{fmt,png}
%{_datadir}/%{name}/l10n/%{name}_*.po
%{_datadir}/%{name}/maps/*
%{_datadir}/pixmaps/bzflag.xpm
%{_datadir}/pixmaps/bzflag.png
%{_datadir}/pixmaps/bzflag.svg
%{_mandir}/man5/bzw.5.gz
%{_mandir}/man6/*.6.gz

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

./autogen.sh
./configure						\
	$XORG_CONFIG					\
	--bindir=%{_bindir}				\
	--sbindir=%{_sbindir}				\
	--includedir=%{_includedir}			\
	--exec-prefix=%{_exec_prefix}			\
        --sysconfdir=%{_sysconfdir}			\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\
	--disable-static				\
	--enable-robots					\
	--enable-client					\
	--enable-server					\
	--with-SDL=2					\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

%{__cat} > %{name}.desktop << DESKTOP
[Desktop Entry]
Categories=Game;ArcadeGame;
Name=BZFlag
Comment=3D multi-player tank battle game
Exec=bzflag -window 800x600 -solo 1
Icon=bzflag.svg
Terminal=false
Type=Application
Encoding=UTF-8
DESKTOP

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install

desktop-file-install 					\
    --dir %{buildroot}%{_datadir}/applications		\
    %{name}.desktop

%{__install} -Dp -m 644					\
	data/bzflag-48x48.png				\
	%{buildroot}%{_datadir}/pixmaps/bzflag.png

%{__install} -D -m 644					\
	package/rpm/bzflag-m.xpm			\
	%{buildroot}%{_datadir}/pixmaps/bzflag.xpm

%{__install} -D -m 644					\
	misc/art/bzicon-red.svg				\
	%{buildroot}%{_datadir}/pixmaps/bzflag.svg


%{__mkdir_p} %{buildroot}%{_datadir}/bzflag/maps
%{__install} -m 644 					\
	misc/maps/*.bzw					\
	%{buildroot}%{_datadir}/bzflag/maps

%{__rm} -fr %{buildroot}%{_datadir}/%{name}/%{name}.desktop

#To remove libtool library
find 							\
	%{buildroot}%{_libdir}				\
	-name \*.la					\
	-delete

#-----------------------------------------------------------------------------
%changelog

